package com.iamberry.wechat.core.entity.drp;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

public class EarningLogs implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 2944507966590212959L;
	private int placeId; //分销商id
	private String drpName ; //分销商
	private String userName ; //分销商姓名
	private String openid ; //分销商openid
	private String salesOrderid; //订单号
	private int salesRewardNum ; //奖励金额
	private Date salesCreateDate ; //创建日期
	private int rewardStatus ;  //是否入账
	private String openids ; // 被分销的客户openid
	
	private String beginDate ; //开始查询时间
	private String endDate ; //结束查询时间
	
	private PageBean page;
	
	public int getPlaceId() {
		return placeId;
	}
	public void setPlaceId(int placeId) {
		this.placeId = placeId;
	}
	public String getDrpName() {
		return drpName;
	}
	public void setDrpName(String drpName) {
		this.drpName = drpName;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public String getSalesOrderid() {
		return salesOrderid;
	}
	public void setSalesOrderid(String salesOrderid) {
		this.salesOrderid = salesOrderid;
	}
	public int getSalesRewardNum() {
		return salesRewardNum;
	}
	public void setSalesRewardNum(int salesRewardNum) {
		this.salesRewardNum = salesRewardNum;
	}
	public Date getSalesCreateDate() {
		return salesCreateDate;
	}
	public void setSalesCreateDate(Date salesCreateDate) {
		this.salesCreateDate = salesCreateDate;
	}
	public int getRewardStatus() {
		return rewardStatus;
	}
	public void setRewardStatus(int rewardStatus) {
		this.rewardStatus = rewardStatus;
	}
	public String getOpenids() {
		return openids;
	}
	public void setOpenids(String openids) {
		this.openids = openids;
	}
	public String getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	
	
	
	
}
